Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.processor
Class StylesheetPIHandler

    java.lang.Object
      |
      +--org.xml.sax.helpers.DefaultHandler
            |
            +--org.apache.xalan.processor.StylesheetPIHandler

public class StylesheetPIHandler
extends DefaultHandler

Handle the xml-stylesheet processing instruction.

See Also:
  Associating Style Sheets with XML documents, Version 1.0

Constructor Summary
`StylesheetPIHandler(InputSource source, java.lang.String media, java.lang.String title, java.lang.String charset)` Construct a StylesheetPIHandler instance.

Method Summary
`InputSource[]` | `getAssociatedStylesheets()` Return all stylesheets found that match the constraints.
`void` | `processingInstruction(java.lang.String target, java.lang.String data)` Handle the xml-stylesheet processing instruction.
`void` | `startElement(java.lang.String namespaceURI, java.lang.String localName, java.lang.String qName, Attributes atts)` The spec notes that "The xml-stylesheet processing instruction is allowed only in the prolog of an XML document.", so, at least for right now, I'm going to go ahead an throw a SAXException in order to stop the parse.

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`characters, endDocument, endElement, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StylesheetPIHandler

    public StylesheetPIHandler(InputSource source,
                               java.lang.String media,
                               java.lang.String title,
                               java.lang.String charset)

  Construct a StylesheetPIHandler instance.

Method Detail

### getAssociatedStylesheets

    public InputSource[] getAssociatedStylesheets()

  Return all stylesheets found that match the constraints.

### processingInstruction

    public void processingInstruction(java.lang.String target,
                                      java.lang.String data)
                               throws SAXException

  Handle the xml-stylesheet processing instruction.
  Parameters:
    `target` - The processing instruction target.
    `data` - The processing instruction data, or null if none is supplied.
  Throws:
    SAXException - Any SAX exception, possibly wrapping another exception.
  Overrides:
    processingInstruction in class DefaultHandler
  See Also:
    `ContentHandler.processingInstruction(java.lang.String, java.lang.String)`, Associating Style Sheets with XML documents, Version 1.0

### startElement

    public void startElement(java.lang.String namespaceURI,
                             java.lang.String localName,
                             java.lang.String qName,
                             Attributes atts)
                      throws SAXException

  The spec notes that "The xml-stylesheet processing instruction is allowed only in the prolog of an XML document.", so, at least for right now, I'm going to go ahead an throw a SAXException in order to stop the parse.
  Overrides:
    startElement in class DefaultHandler

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.